## com.rbnb.api
Class RequestOptions

    java.lang.Object
      com.rbnb.api.RequestOptions

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  RequestOptions

    public class RequestOptions

extends Object

Data request options class.

Objects of this class modify the handling of requests by changing how the server handles things. For example, the server can be told to wait for a specified period or until all of the data to arrive before responding.

Since:
  V2.2
See Also:
  `DataRequest`, Serialized Form
Author:
  Ian Brown
Version:
  12/09/2003

Constructor Summary
`RequestOptions()` Class constructor.

Method Summary
`Object` `clone()` Clones this `Serializable` object.
`boolean` `getExtendStart()` Gets the extend start flag.
`long` `getMaxWait()` Gets the maximum wait period.
`void` `setExtendStart(boolean extendStartI)` Sets the extend start flag.
`void` `setMaxWait(long maxWaitI)` Sets the maximum wait period.
`String` `toString()` Gets a string representation.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestOptions

    public RequestOptions()

  Class constructor.

  Since:
    V2.2
  Author:
    Ian Brown
  Version:
    06/11/2003

Method Detail

### getExtendStart

    public final boolean getExtendStart()

  Gets the extend start flag.

  Returns:
    extend the start of the request?
  Since:
    V2.2
  See Also:
    `setExtendStart(boolean extendStartI)`
  Author:
    Ian Brown
  Version:
    12/08/2003

### getMaxWait

    public final long getMaxWait()

  Gets the maximum wait period.

  This is the amount of time that the server will wait for "existing" data to arrive.

  Returns:
    the maximum wait time in milliseconds.
  Since:
    V2.2
  See Also:
    `setMaxWait(long)`
  Author:
    Ian Brown
  Version:
    06/11/2003

### setExtendStart

    public final void setExtendStart(boolean extendStartI)

  Sets the extend start flag.

  If the flag is set and the request being worked on is for before, or at or before, the request specified time, then the start of request is extended from its specified time to the actual matching time. Effectively, this actually extends the duration so that the end time of the request is always equal to the request specified start time plus the request specified duration.

  Parameters:
    `extendStartI` - extend the start time?
  Since:
    V2.2
  See Also:
    `getExtendStart()`
  Author:
    Ian Brown
  Version:
    12/08/2003

### setMaxWait

    public final void setMaxWait(long maxWaitI)

  Sets the maximum wait period.

  This is the amount of time that the server will wait for "existing" data to arrive.

  A value of zero (0) means don't wait, simply return whatever data is available.

  A positive value means wait for that amount of time or until all of the data is available. If the timeout period expires, return whatever data is available at that time.

  A negative value means wait until all of the data is available.

  Parameters:
    `maxWaitI` - the maximum wait period in milliseconds.
  Since:
    V2.2
  See Also:
    `getMaxWait()`
  Author:
    Ian Brown
  Version:
    06/11/2003

### toString

    public final String toString()

  Gets a string representation.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string representation.
  Since:
    V2.2
  Author:
    Ian Brown
  Version:
    12/08/2003

### clone

    public Object clone()

  Clones this `Serializable` object.

  Overrides:
    `clone` in class `Object`
  Returns:
    the clone.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/25/2001